<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: Behavioral Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classS6Link__ctle__agc__comp.html">S6Link_ctle_agc_comp</a></li><li class="navelem"><a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html">Behavioral</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Behavioral Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classS6Link__ctle__agc__comp_1_1Behavioral-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Processes"></a>
Processes</h2></td></tr>
 <tr class="memitem:afbab4742b6b0637169dd9dee81ad7961"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afbab4742b6b0637169dd9dee81ad7961"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#afbab4742b6b0637169dd9dee81ad7961">PROCESS_821</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">DCLK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a917561663239ffeba00862b8310798ad"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a917561663239ffeba00862b8310798ad"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#a917561663239ffeba00862b8310798ad">PROCESS_822</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">DCLK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a79138a175010bd24aae10dd0ece124c7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a79138a175010bd24aae10dd0ece124c7"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#a79138a175010bd24aae10dd0ece124c7">PROCESS_823</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">DCLK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a3b9f498c9df0e8202c5b5d9eb651f752"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3b9f498c9df0e8202c5b5d9eb651f752"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#a3b9f498c9df0e8202c5b5d9eb651f752">PROCESS_824</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">DCLK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a0f73ebcb0bcf90c082e0c46131d125ed"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0f73ebcb0bcf90c082e0c46131d125ed"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#a0f73ebcb0bcf90c082e0c46131d125ed">PROCESS_825</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">DCLK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ae7f46ea10e4d2379b3ffa6976211695c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae7f46ea10e4d2379b3ffa6976211695c"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#ae7f46ea10e4d2379b3ffa6976211695c">PROCESS_826</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">DCLK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">RST</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:ac5e0ae73eaf1c8b2a5c3514c6c2ab5f6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac5e0ae73eaf1c8b2a5c3514c6c2ab5f6"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#ac5e0ae73eaf1c8b2a5c3514c6c2ab5f6">PROCESS_827</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">DCLK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">write_state</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a07508b2cb1a101841601ddf0602fd3f3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a07508b2cb1a101841601ddf0602fd3f3"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#a07508b2cb1a101841601ddf0602fd3f3">PROCESS_828</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">DCLK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a71c4a5a28dabf0d60bc57797d249dcd4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a71c4a5a28dabf0d60bc57797d249dcd4"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#a71c4a5a28dabf0d60bc57797d249dcd4">PROCESS_829</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">curr_state_reg</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">in_progress_b</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">done_drp</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">downshift_1x</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">downshift_4x</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">agc_reg</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">ctle3_reg</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">agc_railing_int</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:a9a7140fc342be392ea981bcff922a05e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9a7140fc342be392ea981bcff922a05e"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#a9a7140fc342be392ea981bcff922a05e">PROCESS_830</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">curr_state_reg</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">do_reg</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">agc_bw</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">ctle3_ld</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:aef21152acb255ea2c1964bcd660825e1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aef21152acb255ea2c1964bcd660825e1"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#aef21152acb255ea2c1964bcd660825e1">PROCESS_831</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">DCLK</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Constants"></a>
Constants</h2></td></tr>
 <tr class="memitem:afda6a0f11598edea6b9e0762bf89aa7d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afda6a0f11598edea6b9e0762bf89aa7d"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#afda6a0f11598edea6b9e0762bf89aa7d">DLY</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">time</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar">ns</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac25a33b20d8922b9ff15fd596e98c147"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac25a33b20d8922b9ff15fd596e98c147"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#ac25a33b20d8922b9ff15fd596e98c147">CTLE3_ADDR</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">8</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; 010000011 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:abc50328ffda7dc48fb75a74fde0a2279"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abc50328ffda7dc48fb75a74fde0a2279"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#abc50328ffda7dc48fb75a74fde0a2279">CTLE3_UPPER_LIMIT</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab70e8cd8a0934a7751b552b7367a57b6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab70e8cd8a0934a7751b552b7367a57b6"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#ab70e8cd8a0934a7751b552b7367a57b6">CTLE3_LOWER_LIMIT</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5af626872887cc5077e4a2f6d5a96f57"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5af626872887cc5077e4a2f6d5a96f57"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#a5af626872887cc5077e4a2f6d5a96f57">AGC_UPPER_LIMIT</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">30</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9c1134fb83fa190bbd52dd304c1aa590"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9c1134fb83fa190bbd52dd304c1aa590"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#a9c1134fb83fa190bbd52dd304c1aa590">AGC_LOWER_LIMIT</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:afa9b677e5356f069f06777f89cb15d3a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afa9b677e5356f069f06777f89cb15d3a"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#afa9b677e5356f069f06777f89cb15d3a">AGC_BW_ADDR</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">8</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; 000011101 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aba7becd89db2ed09a8aef7484f942d10"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aba7becd89db2ed09a8aef7484f942d10"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#aba7becd89db2ed09a8aef7484f942d10">AGC_BW_1X</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; 0000 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac400cf5301c507c14cfca0a5b59a6ca6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac400cf5301c507c14cfca0a5b59a6ca6"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#ac400cf5301c507c14cfca0a5b59a6ca6">AGC_BW_4X</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; 0010 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aae8a7cabba830a42e646b691ae593dab"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aae8a7cabba830a42e646b691ae593dab"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#aae8a7cabba830a42e646b691ae593dab">AGC_BW_8X</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; 0011 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0a195657939546634ebbeb17707913dd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0a195657939546634ebbeb17707913dd"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#a0a195657939546634ebbeb17707913dd">UPDATE_TIMER_LIMIT</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">16380</span> <span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">AGC_TIMER</span><span class="vhdlchar"> </span><span class="vhdlchar">*</span><span class="vhdlchar"> </span> <span class="vhdldigit">4</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a63c76b37a2333c2e84818353b57ac172"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a63c76b37a2333c2e84818353b57ac172"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#a63c76b37a2333c2e84818353b57ac172">UPDATE_TIMER_LIMIT_4X</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">32760</span> <span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">UPDATE_TIMER_LIMIT</span><span class="vhdlchar"> </span><span class="vhdlchar">*</span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:acbc8c72a5be9d40de87b9aae59ef9d39"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acbc8c72a5be9d40de87b9aae59ef9d39"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#acbc8c72a5be9d40de87b9aae59ef9d39">IDLE</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; 0000 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad19062f55aa9bcf2491cf5f08a47782a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad19062f55aa9bcf2491cf5f08a47782a"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#ad19062f55aa9bcf2491cf5f08a47782a">READ</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; 0001 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aafb35bb18f23527734bf895003f89a81"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aafb35bb18f23527734bf895003f89a81"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#aafb35bb18f23527734bf895003f89a81">WAIT_READ</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; 0010 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:abca8073ead60bc47db1bb9c7734442ab"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abca8073ead60bc47db1bb9c7734442ab"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#abca8073ead60bc47db1bb9c7734442ab">DECIDE</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; 0011 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac4686ab09f7b877e4ac29e14a94c3b46"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac4686ab09f7b877e4ac29e14a94c3b46"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#ac4686ab09f7b877e4ac29e14a94c3b46">INC_S</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; 0100 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a83cd88824450916efa97344a1f53de8a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a83cd88824450916efa97344a1f53de8a"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#a83cd88824450916efa97344a1f53de8a">DEC_S</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; 0101 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3bde5d3e858a96fafb5909f148a6d7cf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3bde5d3e858a96fafb5909f148a6d7cf"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#a3bde5d3e858a96fafb5909f148a6d7cf">WRITE</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; 0110 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a273f3f00caed0bc73c85f150655793bb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a273f3f00caed0bc73c85f150655793bb"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#a273f3f00caed0bc73c85f150655793bb">WAIT_UPDATE</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; 0111 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af2824e518a80b2087bfe970cd3c72ae9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af2824e518a80b2087bfe970cd3c72ae9"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#af2824e518a80b2087bfe970cd3c72ae9">DONE_ST</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; 1000 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a833eea1ec5eca6c752a46f9618b76d67"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a833eea1ec5eca6c752a46f9618b76d67"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#a833eea1ec5eca6c752a46f9618b76d67">READ_AGC_BW</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; 1001 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:adf157ce27a609330eb767903f27efa08"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adf157ce27a609330eb767903f27efa08"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#adf157ce27a609330eb767903f27efa08">WAIT_READ_AGC_BW</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; 1010 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aba10e5c02789c0c2597317ca11830404"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aba10e5c02789c0c2597317ca11830404"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#aba10e5c02789c0c2597317ca11830404">MODIFY_AGC_BW</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; 1011 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9ff2900863efee5bdf7c6af6316390c6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9ff2900863efee5bdf7c6af6316390c6"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#a9ff2900863efee5bdf7c6af6316390c6">WRITE_AGC_BW</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; 1100 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af1dc787cba65d7aa6e091816bd62c026"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af1dc787cba65d7aa6e091816bd62c026"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#af1dc787cba65d7aa6e091816bd62c026">WAIT_WRITE_AGC_BW</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; 1101 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a08a1ee5d78011abc72f8c340013f649d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a08a1ee5d78011abc72f8c340013f649d"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#a08a1ee5d78011abc72f8c340013f649d">DOWNSHIFT_4X_S</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; 1110 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aadc2163e665c5210ed6534c33c8ddc92"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aadc2163e665c5210ed6534c33c8ddc92"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#aadc2163e665c5210ed6534c33c8ddc92">WAIT_AGC_4X</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; 1111 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:adf55ea325feeb8781ad0e00478cf6532"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adf55ea325feeb8781ad0e00478cf6532"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#adf55ea325feeb8781ad0e00478cf6532">in_progress</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8a899a9e5b19f3d95bdb66cff6bf320e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8a899a9e5b19f3d95bdb66cff6bf320e"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#a8a899a9e5b19f3d95bdb66cff6bf320e">in_progress_b</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae125ff8f63bea6322e64a4f37b2e7268"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae125ff8f63bea6322e64a4f37b2e7268"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#ae125ff8f63bea6322e64a4f37b2e7268">agc_reg</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">4</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:adc0f27273f9ffda7b0b2bfbf50af8e64"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adc0f27273f9ffda7b0b2bfbf50af8e64"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#adc0f27273f9ffda7b0b2bfbf50af8e64">agc_reg0</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">4</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5ce86ae029b450a9ecb866612d89fdf2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5ce86ae029b450a9ecb866612d89fdf2"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#a5ce86ae029b450a9ecb866612d89fdf2">agc_bw</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa04fdef927cac7d33e4c4f2eac9e0687"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa04fdef927cac7d33e4c4f2eac9e0687"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#aa04fdef927cac7d33e4c4f2eac9e0687">ctle3_reg</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad041ae06a169db6387a824c23cd8e251"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad041ae06a169db6387a824c23cd8e251"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#ad041ae06a169db6387a824c23cd8e251">ctle3_ld</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7604ccb3b22a234d0fea7c9d3394b228"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7604ccb3b22a234d0fea7c9d3394b228"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#a7604ccb3b22a234d0fea7c9d3394b228">next_state</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa162d4f631817cb2c1b86733f7cf5728"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa162d4f631817cb2c1b86733f7cf5728"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#aa162d4f631817cb2c1b86733f7cf5728">rxmon_sel</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a825730ea3e2bf3fd1edd946cc5066b07"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a825730ea3e2bf3fd1edd946cc5066b07"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#a825730ea3e2bf3fd1edd946cc5066b07">update_timer</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">14</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af0140cbf6fcbb3d5bd7f2012b35b82cb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af0140cbf6fcbb3d5bd7f2012b35b82cb"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#af0140cbf6fcbb3d5bd7f2012b35b82cb">clk_div_counter</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">5</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a23a2e862fa67526df68dc6623f6c94e5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a23a2e862fa67526df68dc6623f6c94e5"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#a23a2e862fa67526df68dc6623f6c94e5">den_int</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:acffddd96a4b50ffe66f00f24322a95e6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acffddd96a4b50ffe66f00f24322a95e6"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#acffddd96a4b50ffe66f00f24322a95e6">den_int2</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a48e01fba98a88d5ed8221ba786d2ca11"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a48e01fba98a88d5ed8221ba786d2ca11"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#a48e01fba98a88d5ed8221ba786d2ca11">dwe_int</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9f630fce1a9d8f3e5253aaac51ff46f3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9f630fce1a9d8f3e5253aaac51ff46f3"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#a9f630fce1a9d8f3e5253aaac51ff46f3">do_reg</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8f77890f6607641b7373d189007dc345"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8f77890f6607641b7373d189007dc345"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#a8f77890f6607641b7373d189007dc345">done_drp</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a45f454cb810ccd8ca042039c0918504e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a45f454cb810ccd8ca042039c0918504e"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#a45f454cb810ccd8ca042039c0918504e">di_int</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac68983aae15e93d8432aa8a0b311764c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac68983aae15e93d8432aa8a0b311764c"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#ac68983aae15e93d8432aa8a0b311764c">daddr_int</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">8</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:afb7d45919a0be7f635f12aa2eefa717d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afb7d45919a0be7f635f12aa2eefa717d"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#afb7d45919a0be7f635f12aa2eefa717d">inc</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab58f144e929b37ea37e9bf69bde39c4e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab58f144e929b37ea37e9bf69bde39c4e"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#ab58f144e929b37ea37e9bf69bde39c4e">dec</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad87e5f62b46a94b61c1bcf4a31116c8f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad87e5f62b46a94b61c1bcf4a31116c8f"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#ad87e5f62b46a94b61c1bcf4a31116c8f">incdec</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:add40a957b7d09724f094e44de366bed2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="add40a957b7d09724f094e44de366bed2"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#add40a957b7d09724f094e44de366bed2">curr_state_reg</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a98f575715a4fb389c2eb909c2bb60945"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a98f575715a4fb389c2eb909c2bb60945"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#a98f575715a4fb389c2eb909c2bb60945">clk_int_en</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab994ee83869550abc533f0667af51ad6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab994ee83869550abc533f0667af51ad6"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#ab994ee83869550abc533f0667af51ad6">clk_timer_en</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa5c708a71581624087b0e8a696de7bd2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa5c708a71581624087b0e8a696de7bd2"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#aa5c708a71581624087b0e8a696de7bd2">write_state</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa5171d51552bedb039dce80879d242bf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa5171d51552bedb039dce80879d242bf"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#aa5171d51552bedb039dce80879d242bf">done_state</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5c3f05f924567988cbc2cb9a54986dce"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5c3f05f924567988cbc2cb9a54986dce"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#a5c3f05f924567988cbc2cb9a54986dce">downshift_4x_state</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af79ede0f38de0c012d35c41f9912c1c2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af79ede0f38de0c012d35c41f9912c1c2"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#af79ede0f38de0c012d35c41f9912c1c2">read_state</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aba5d0d2c312f7471e23f40b9e835b0f5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aba5d0d2c312f7471e23f40b9e835b0f5"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#aba5d0d2c312f7471e23f40b9e835b0f5">wait_agc_4x_state</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af97c7d6deae1451e2f9c26ff8dd1be84"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af97c7d6deae1451e2f9c26ff8dd1be84"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#af97c7d6deae1451e2f9c26ff8dd1be84">min_agc</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac7188d886c09ea32b692230b882dc1d1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac7188d886c09ea32b692230b882dc1d1"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#ac7188d886c09ea32b692230b882dc1d1">max_agc</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5b42d99147731b14b0d04b1a42a51d39"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5b42d99147731b14b0d04b1a42a51d39"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#a5b42d99147731b14b0d04b1a42a51d39">agc_not_railed</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a69a58ea455b95ad72e4b8ab7d1234d36"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a69a58ea455b95ad72e4b8ab7d1234d36"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#a69a58ea455b95ad72e4b8ab7d1234d36">agc_not_railed_l</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa2742e7f49e3de18097da5c1ac9a92f3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa2742e7f49e3de18097da5c1ac9a92f3"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#aa2742e7f49e3de18097da5c1ac9a92f3">rxmon_ok_l</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a882a9e2db81075a3adc1226b18c7160f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a882a9e2db81075a3adc1226b18c7160f"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#a882a9e2db81075a3adc1226b18c7160f">rxmon_ok_l_b</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a81920c4609dc3e1478bef7636690a608"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a81920c4609dc3e1478bef7636690a608"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#a81920c4609dc3e1478bef7636690a608">downshift_4x</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a91447b0c608752095837f3d1a706c50b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a91447b0c608752095837f3d1a706c50b"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#a91447b0c608752095837f3d1a706c50b">downshift_1x</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad2069db96ed586fa6955b94fa38bdfd0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad2069db96ed586fa6955b94fa38bdfd0"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#ad2069db96ed586fa6955b94fa38bdfd0">DEN_reg</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a194908d9bee0149c4ec863f0ef188b20"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a194908d9bee0149c4ec863f0ef188b20"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#a194908d9bee0149c4ec863f0ef188b20">DONE_INT</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac99ea3d1e3330211a571b0b3bfe188d2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac99ea3d1e3330211a571b0b3bfe188d2"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#ac99ea3d1e3330211a571b0b3bfe188d2">agc_railing_int</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7c73eabcdec2a181bb279d60dc8a43f8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7c73eabcdec2a181bb279d60dc8a43f8"></a>
<a class="el" href="classS6Link__ctle__agc__comp_1_1Behavioral.html#a7c73eabcdec2a181bb279d60dc8a43f8">agc_interm</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="s6link__ctle__agc__comp_8vhd_source.html#l00110">110</a> of file <a class="el" href="s6link__ctle__agc__comp_8vhd_source.html">s6link_ctle_agc_comp.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li>/work/dan/AMC13/amc13-fw/src/common/IPBUS/S6Link/<a class="el" href="s6link__ctle__agc__comp_8vhd_source.html">s6link_ctle_agc_comp.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:44 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
